/*
    This file contains 1) site specific custom CSS 2) overrides for other CSS files.
    This file should always be defined after all other CSS files for overrides to gain precedence.
*/
:root {
    --site-logo-text: 'Qanelas Soft'!important;
    --site-highlight-text: 'Mulish';
    --site-section-heading: 'Arial';
    --site-para-heading: 'Arial';
    --site-para-text: 'Roboto';
    --site-art-text: 'Kanit';
    --site-button-text: 'Mulish';
    --site-brand-blue: #0463CA;
}

.logo-font {
    font-family: var(--site-logo-text);
    font-weight: bold !important;
    font-style: normal;
    font-size: 1.25rem;
}

body {
    font-family:var(--site-para-text);
}

.highlight-text {
    font-family: var(--site-highlight-text);
    font-size: 1.5rem;
}

h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 {
    font-family: var(--site-para-heading);
}

.list-with-bullet {
    margin-left: 1em;
}

.list-item-with-bullet {
    display: revert;
    padding: 0 !important;
    background-color: transparent;
}

.product-page {
    padding-top: 2rem;
}

.product-detail-group {
    padding-top: 1rem;
}

.product-image {
    padding-top: 6.5rem;
}

.whatsapp-button, .whatsapp-button:focus, .whatsapp-button:visited, .whatsapp-button:checked {
    background-color: #128c7e;
    border-color: #128c7e;
}

.whatsapp-button:hover {
    background-color: #25D366;
    border-color: #25D366;
}

.section-heading {
    font-family: var(--site-section-heading);
    font-size: 2.75rem;
}

.list-product-title {
    /* TODO remove */
}

.product-card {
    margin: 1rem 1rem 1rem 1rem;
    border-radius: 0.5rem;
    overflow: hidden;
}

.product-title {
    font-family: var(--site-para-heading);
}

.cta-button {
    background-color: var(--site-brand-blue) !important;
    border-color: var(--site-brand-blue) !important;
}

.cta-button:hover {
    color: white !important;
    background-color: var(--site-brand-blue) !important;
    border-color: var(--site-brand-blue) !important;
}

.site-text-gradient {
    background: none;
}

.negative-padding-top {
    margin-top: -5rem;
}

.contactus-hyperlink-container {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.contactus-hyperlink {
    color: black;
    text-decoration:none;
    padding-left: 0.4rem;
}

.google-maps-container {
    display: flex;
    justify-content: center;
    padding: 0.5rem 0 0.5rem 0;
}

.dropdown-item-group:hover {
    background-color: revert;
}

.dropdown-item-level2 {
    padding-left: 1rem;
}

.brand-container {
    display: flex;
    align-items: center;
}

.brandname-container {
    display: flex;
    flex-direction: column;
    padding-left: 0.5rem;
}

.brand-text-alignment {
    margin-bottom: -0.6rem;
}

.hightlight-container {
    padding: 2.5rem 0 2rem 0; 
}

.product-list-cta-container {
    display: flex;
    flex-flow: column;
}

@media screen and (min-width: 1024px) {
    .product-list-cta-container {
        display: flex;
        flex-flow: column;
        margin-right: 50%;
    }  
}

/* Hack Alert - This is override for bootstrap-table's fixed column's background color behaviour */
.th-inner {
    background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}
td:first-child {
    font-weight: bold;
    background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}

/*
a:hover {
    color: var(--site-brand-blue) !important;
}

*/

aside,
section {
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.nav-shadow {
    box-shadow: 0 2px 8px rgba(0,0,0,0.4);
}

.profile-image-shadow {
    box-shadow: 0 0 1.5rem rgba(0,0,0,0.4);
}

@media screen and (min-width: 1024px){
    .profile-img-wrapper {
        display: flex;
        justify-content: space-around;
        margin-top: -40px;
    }
    
}

.list-product-carousel {
    padding: 0 5rem 0 5rem;
}

@media screen and (max-width: 768px) {
 
.list-product-carousel {
    padding: 0 0 0 0;
}   
}

.list-product-image-effects {
    border-radius: 5px;
}

.icon-size {
    font-size: 2.4rem;
}

.icon-text {
    font-family: var(--site-art-text);
    font-size: x-large;
    line-height: 18px;
}

#site-nav {
    padding-top: 0;
    padding-bottom: 0;
    background-color: white;
}

.site-masthead {
    background-color: #f8f9fa;
    padding-top: 3.7rem;
    padding-bottom: 5rem;
}

.second-element {
    padding-top: 3.7rem;
}

.site-profile-img {
    max-width: 100%;
    max-height: 200px;
}

.navbar-light .navbar-nav .nav-link {
    color: rgba(0,0,0,1);
    border-bottom: solid rgba(0,0,0,0);
}

.navbar-light .navbar-nav .nav-link:hover, 
.navbar-light .navbar-nav .nav-link:focus {
    border-bottom: solid var(--site-brand-blue); 
}

.navbar-nav .nav-link.active {
    border-bottom: solid var(--site-brand-blue);
}

.dropdown-item:active, .dropdown-item:hover, .dropdown-item:focus {
    color: #fff;
    background-color: var(--site-brand-blue);
}

::selection {
    color: #fff;
    background-color: var(--site-brand-blue);
}

.translucent-overlay {
    z-index: 1;
    position: absolute;
    left: 0px;
    bottom: 0px;
    width: 100%;
    background-color: rgba(255,255,255,0.7);
    text-align: center;
    backdrop-filter: blur(2px);
}

.back-to-top {
    z-index: 1;
    position: fixed;
    bottom: 25px;
    right: 25px;
    display: none;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
}

.highlight-section {
  background-color: var(--site-brand-blue);
  color: white;
}

.section-heading-center {
  position: absolute;
  top:50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-family: var(--site-art-text);
  font-size: xx-large;  
  text-align: center;
  border: 3px solid white;
  border-radius: 50%;
  padding: 12px;
}

.shadow-inside-5 {
    box-shadow: inset 0 0 5px;
}

.animation-text-container {
    z-index: 99;
    color: var(--site-brand-blue);
    position: relative;
}